Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Aktualisieren der Datei-Eigenschaften für Teile

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: SOLIDWORKS - DFMXpress
Autor Thema:   Aktualisieren der Datei-Eigenschaften für Teile (282 mal gelesen)
HOMandre
Mitglied


Sehen Sie sich das Profil von HOMandre an!   Senden Sie eine Private Message an HOMandre  Schreiben Sie einen Gästebucheintrag für HOMandre

Beiträge: 8
Registriert: 08.01.2019

erstellt am: 11. Sep. 2020 13:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
ich kann zu meinem Problem nicht wirklich was im Netz finden, zumindest nichts was funktioniert.

Zu meinem Problem.
Ich habe benutzerdinierte Eigenschaften erstellt, welche ich über ein Makro aus einer Userform leeren möchte.
Das alles geht ohne Probleme. Nun ist es jedoch so, dass nach Ausführung des Makros der Wert für z.B. "Benennung" in der Variable gelöscht wird, aber dieser in den Eigenschaften im Feld "Benenung noch existiert. Erst nach Wechsel des Task wird das Textfeld "Benenung"  in den Eigenschaften geleert. Mit Rebuilt klappt es leider nicht. Gibt es eine Möglichkeit das die Werte unmittelbar in der Anzeige aktualisiert werden?

Vielen Dank vorab.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 708
Registriert: 18.05.2005

SolidWorks 2020 x64 SP3.0
Dell Precision 5820
Intel Xeon W-2125 4x4GHz
NVIDIA Quadro P2000 5GB
32GB RAM
2x Dell U2412M, 24" TFT
Windows 10 Enterprise x64 1703
Microsoft Office 365 ProPlus
Microsoft Visual Studio Enterprise 2019

erstellt am: 11. Sep. 2020 16:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für HOMandre 10 Unities + Antwort hilfreich

  Ich habe es jetzt 10x gelesen und ich verstehe dich immer noch nicht ganz.

Ich nehme aber an das du mit Task wechseln die Registerkarten in der Taskansicht meinst.

Dies kannst du mit der ActivateTaskPane Method (ISldWorks) simulieren.

Code:
Sub main()
    Dim swApp              As SldWorks.SldWorks
    Dim swModel            As SldWorks.ModelDoc2
   
    'Auf SW zugreifen
    Set swApp = Application.SldWorks
   
    'An aktives Dokument anklinken
    Set swModel = swApp.ActiveDoc
    swModel.CustomInfo("FTL-Besch") = "Hallo"
   
    'Wechsel auf "SOLIDWORKS Ressourcen "
    swApp.ActivateTaskPane (3) '(swTaskPaneTab_e.swResources)
    'Wechsel auf "Benutzerdefinierte Eigenschaften"
    swApp.ActivateTaskPane (5) '(swTaskPaneTab_e.swCustomProps)

End Sub


------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HOMandre
Mitglied


Sehen Sie sich das Profil von HOMandre an!   Senden Sie eine Private Message an HOMandre  Schreiben Sie einen Gästebucheintrag für HOMandre

Beiträge: 8
Registriert: 08.01.2019

erstellt am: 11. Sep. 2020 19:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
sorry für meine Umschreibung. Aber du hast den Nagel auf den Kopf getroffen, es funktioniert.
Vielen Dank dafür.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz